{
  "name": "@new-jira-clone/ui",
  "version": "1.3.27",
  "private": false,
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "serve": "vite preview",
    "test:unit": "vite test:unit",
    "lint": "eslint --ext .js,.vue --ignore-path .gitignore --fix src",
    "storybook": "storybook dev -p 6006",
    "build-storybook": "storybook build -c .storybook"
  },
  "main": "./src/index.ts",
  "types": "./dist/index.d.ts",
  "type": "module",
  "exports": {
    ".": {
      "import": "./dist/ui.es.ts",
      "require": "./dist/ui.umd.ts"
    },
    "./styles.scss": "./styles.scss",
    "./components": "./src/components/index.ts",
    "./directives": "./src/directives/index.ts",
    "./dist/icons.svg": "./dist/icons.svg",
    "./src/*": "./src/*"
  },
  "sideEffects": [
    "src/assets/icons.svg",
    "src/components/animation/JTypingDots/img/typing-animation-light-purple.svg",
    "src/directives/ripple/rippleEffect.directive.ts",
    "src/directives/ripple/rippleEffect.scss",
    "*.scss",
    "*.sass",
    "*.css"
  ],
  "files": [
    "dist/",
    "src/",
    "styles.scss"
  ],
  "dependencies": {
    "vue": "^3.5.3"
  },
  "devDependencies": {
    "@babel/core": "^7.20.2",
    "@chromatic-com/playwright": "^0.6.17",
    "@chromatic-com/storybook": "1",
    "@storybook/addon-essentials": "^8.2.4",
    "@storybook/addon-interactions": "^8.2.4",
    "@storybook/addon-links": "^8.2.4",
    "@storybook/addon-onboarding": "^8.2.4",
    "@storybook/blocks": "^8.2.4",
    "@storybook/test": "^8.2.4",
    "@storybook/vue3": "^8.2.4",
    "@storybook/vue3-vite": "^8.2.4",
    "@types/jest": "^27.0.1",
    "@typescript-eslint/eslint-plugin": "^5.4.0",
    "@typescript-eslint/parser": "^5.4.0",
    "@vitejs/plugin-vue": "^5.0.4",
    "@vue/cli-plugin-unit-jest": "~5.0.0",
    "@vue/eslint-config-airbnb": "^8.0.0",
    "@vue/eslint-config-typescript": "^11.0.0",
    "@vue/test-utils": "^2.0.0-0",
    "@vue/vue3-jest": "^27.0.0-alpha.1",
    "babel-jest": "^27.0.6",
    "babel-loader": "^8.3.0",
    "chromatic": "^11.5.5",
    "eslint": "^8.57.0",
    "eslint-plugin-import": "^2.25.3",
    "eslint-plugin-storybook": "^0.8.0",
    "eslint-plugin-vue": "^9.27.0",
    "eslint-plugin-vuejs-accessibility": "^1.1.0",
    "jest": "^27.0.5",
    "sass": "^1.32.7",
    "serve": "^14.1.2",
    "storybook": "^8.2.4",
    "ts-jest": "^27.0.4",
    "typescript": "~4.5.5",
    "vite": "^5.3.4",
    "vite-plugin-dts": "^4.0.0-beta.2",
    "vite-svg-loader": "^5.1.0",
    "vite-svg-sprite-wrapper": "^1.3.3",
    "vue-loader": "^16.8.3"
  },
  "publishConfig": {
    "@new-jira-clone:registry": "https://gitlab.com/api/v4/projects/58843489/packages/npm/"
  }
}
